# Tutto su Tor

Versione 2019 - 02

# Agenda

 * Riempi questa slide
 * Con il programma della giornata
 * Così da tenere alta l'attenzione

# Iniziamo!

 * Usate Tor?
 * Se non lo usate, perché?
 * Se lo usate, avete domande, dubbi, perplessità sul suo utilizzo?
 * Insegni ad altri cos'è Tor?

# Cos'è Tor?

 * È software libero ed una rete aperta
 * Diminuisce la tracciabilità, la sorveglianza e la censura
 * Gestitto da un ente non-profit americano e da volontari di tutto il mondo
 * È Tor, non TOR

# Perché abbiamo bisogno di Tor?

 * Sorveglianza di massa e personale da parte dei governi
 * Il modello di business di Internet: big data, pubblicità, tracciamento non consensuale
 * Minacce di sorveglianza da parte di famiglie, capi, malintenzionati su Internet

# Perché avete bisogno di Tor?

 * Discutiamo del vostro lavoro
 * Avversari e difficoltà
 * Mitigazioni
 * Come Tor vi può aiutare

# little-t Tor or core tor

 * Il servizio Tor (un'applicazione per computer)
 * Fornisce un proxy http o SOCKS
 * Anonimizza località e provenienza, come una VPN o un proxy tradizionale (ma meglio!)
 * È una rete di nodi da ogni parte del mondo

# Chi può osservare la tua attività senza Tor o HTTPS?

# Chi può osservare la tua attività con Tor o HTTPS?

# Tor Browser

 * little-t Tor con una versione patchata di Firefox
 * I più maliziosi non possono vedere quali siti navighi
 * I siti web non possono tracciare le tue attività o altri siti che hai visitato (cross-tracking)
 * Previene altre violazioni della privacy come il rilevamento delle impronte digitali o i cookie di terze parti
 * Non scrive quasi nulla sul disco rigido
 * Non conserva la cronologia del browser
 * È multi-piattafroma: Windows, macOS, Linux e Android

# Tor Browser in altre lingue

 * Visita il sito https://torproject.org
 * Seleziona la lingua nel menu a tendina
 * O seleziona “Download in another language or platform”

# Download di Tor Browser

 * Il metodo più sicuro per il download è da https://torproject.org

 * Se https://torproject.org è bloccat, prova con uno dei mirror
  * http://tor.calyxinstitute.org/
  * https://tor.eff.org/

 * Oppure prova GetTor - scrivi una email a gettor@torproject.org e nel messaggio scrivi "windows", "osx" o "linux" (senza virgolette, senza oggetto)

# Eseguire Tor Browser la prima volta

# Uso di Tor Browser

 * Motore di ricerca predefinito: DuckDuckGo
 * In bundle con NoScript, HTTPS Everywhere
 * Non dovresti aggiungere altri plugin o estensioni (come Flash)
   * Suggerimento:
   I siti web non sanno nulla di te finché non glielo dici

# Facendo clic sul menu informazioni verrà mostrato il circuito in uso (e l'opzione "Nuovo circuito per questo sito")

# Aggiornare Tor Browser

# Disinstallare Tor Browser

Disinstallare Tor Browser è semplice: sposta la directory nel cestino! Quindi, svuota il cestino.

Dove si trova la directory di Tor Browser:
 * Windows: desktop
 * macOS: sposta l'applicazione Tor Browser nel Cestino, così come la directory TorBrowser-Data (~/Library/Application Support/)
 * Linux: nella propria home, oppure cercando una directory che contiene il nome “tor-browser”

# Risoluzione problemi con Tor Browser

 * L'orario di sistema è corretto?
 * Il browser è già in esecuzione?
 * Sei stato censurato?
 * Il firewall o l'antivirus stanno bloccando Tor?
 * Hai un sistema operativo molto vecchio?
 * Prova a reinstallare Tor Browser
 * Per altro aiuto vai su https://support.torproject.org

# Altro su Tor Browser

# Il menu “onion”

 * Nuova identità: aggiorna completamente Tor Browser e i suoi circuiti; cancella tutta la cronologia; chiude tutti i tab
 * Impostazioni rete Tor: opzioni di mitigazione della censura; accesso ai log di Tor
 * Controllo aggiornamenti di Tor Browser

# Security Slider

# NoScript

 * Non è consigliabile cambiare le impostazioni nel menu "opzioni"
 * Per esempio, aggiungere siti alla "whitelist" può risultare in un'impronta digitale
 * Invece, si consiglia di "consentire temporaneamente" gli oggetti bloccati

# DuckDuckGo

 * DuckDuckGo è il motore di ricerca di default in Tor Browser
 * Tor Browser impedisce che DDG tracci gli utenti, anche nel caso in cui lo voglia (e loro dichiarano di no)
 * Duckduckgo.com oppure https://3g2upl4pq6kufc4m.onion/

# Plugins, add-ons, Javascript

 * Non aggiungere alcun nuovo add-on od estensione a Tor Browser, e non abilitare alcun plugin
 * Per esempio, il plugin Flash può rivelare la tua posizione geografica
 * Il supporto ai javascript è abilitato, ma è configurato per conservare l'anonimato
 * Per prevenire possibili vulnerabilità nei Javascript, utilizza la configurazione "più sicura" nello slider "security"

# Tor su dispositivi mobili

# Cosa bisogna sapere su Tor nei dispositivi mobili

 * Il design dei dispositivi mobili rende impossibile raggiungere la completa privacy
 * Tor su dispositivi mobili è la miglior scelta per la prevenzione della censura
 * Può anche fornire una privacy elevata per alcuni modelli di minaccia
 * Stiamo cercando di renderlo migliore e ci saranno presto novità per i dispositivi mobili

# Tor Browser per Android

 * Non si ha bisogno più di installare due APP (Orbot e Orfox)
 * Si può scaricare dal Play Store
 * Oppure dal repository Guardian Project in F-Droid
 * Oppure si può scaricare il file .apk

# Onion Browser

 * Tor Browser per iOS
 * Si può scaricare dall'App Store
 * Si trovano tanti Tor Browser fake per iOS
 * Molto rudimentale
 * Va in crash quando in sospensione

# Uso di Orbot

 * Tor proxy per Android
 * Si trova sul Play Store o su F-Droid
 * Va usato per eseguire altre applicazioni attraverso Tor (come Twitter)
 * Un click e parte
 * Si può scegliere la nazione da cui far uscire il traffico (alcune nazioni non sono presenti)

# Uso di Orbot

 * Toggle “VPN mode” on main screen
 * Then click “Orbot-enabled apps”
 * Then select the apps you want to proxy with Tor

# Come posso ricevere aiuto nell'uso di Tor?

# Supporto nell'uso di Tor

 * Manuale di Tor Browser: https://tb-manual.torproject.org/it/
 * Portale di supporto: https://support.torproject.org/it/
 * Mailing list pubbliche: https://lists.torproject.org
 * Chat: IRC rete OFTC - https://webchat.oftc.net canale #tor
 * https://tor.stackexchange.com

# Se trovo un bug in Tor

 * https://trac.torproject.org
 * Crea un account
 * Cerca se qualcun altro ha già aperto un ticket per lo stesso problema
 * Se nessun ticket è stato aperto, apri un nuovo ticket con quanti più dettagli possibili sul problema

# Evitare la censura con Tor

# Cosa fare quando Tor è bloccato?

# Ho scaricato Tor Browser, ma non si connette

 * Se questa schermata resta a lungo e non si connette, forse hai bisogno di un bridge o di un "pluggable transport"

# Quando torproject.org è bloccato

 * Usa i mirror:
  * https://tor.eff.org/
  * http://tor.calyxinstitute.org/ (se https è bloccato)
 * GetTor email: gettor@torproject.org
  * Invia la mail da un account Gmail o Riseup
 * Copia l'eseguibile di Tor su un device USB da qualcuno di fidato
  * Prendi il file .exe, il .dmg o il .tar.xz, non copiare la directory installata
 * Scaricare Tor da un sito non fidato è pericoloso!

# Bridge e pluggable transports

 * I bridge sono dei nodi di relay che non sono nelle liste pubbliche
 * I bridge sono disponibili direttamente nel Tor Browser
 * Oppure dal sito https://bridges.torproject.org oppure inviando una email a bridges@torproject.org da un account Gmail o Riseup
 * Oppure recupera l'indirizzo di un bridge da un contatto fidato
 * I pluggable transports possono essere utilizzati per mascherare il traffico Tor (sono chiamati anche "built-in bridges")

# Bridges e pluggable transports

# Richiedi un bridge

 * Metodo moat

# Oppure selezione un built-in bridge

# Pluggable transports

 * obfs4: fa apparire casuale il traffico Tor; funziona in molte situazioni compresa la Cina (se non funziona, prova meek)
 * fte: fa apparire il traffico tor come normale traffico HTTP
 * meek-azure: fa apparire il traffico Tor come quello Microsoft; funziona in Cina
 * snowflake: il traffico passa attraverso alcun proxy temporanei usando il protocollo WebRTC https://snowflake.torproject.org

# OONI

 * Open Observatory of Network Interference: https://ooni.torproject.org
 * Report divisi per nazione di specifici strumenti di censura in uso su alcuni siti web
 * I report si trovano al sito: https://explorer.ooni.torproject.org
 * Oppure usa il client OONI Probe per effettuare test su siti web: si trova in App Store e nel PlayStore

# Condividi anonimamente contenuti con Tor

# Cos'è un servizio "Onion"?

La normale connessione ad internet permette a malintenzionati di guardare cosa stiamo condividendo e con chi, se usiamo Dropbox etc, il contenuto delle email che leggiamo dal browser..
...per cui Tor ha un modo subdolo di nascondere sia i dati che i metadati!

# Servizi Onion

 * Protezione per l'utente e per il server
 * L'utente impara cos'è un servizio .onion
 * Client e servizio si incontrano nel cloud Tor
 * Criptazione end-to-end senza utilizzo di HTTPS
 * La connessione non usa mai internet "vanilla"

# OnionShare

 * Sistema di file sharing facile da usare, sicuro, privato, anonimo, sviluppato basandosi sulla rete Tor
 * Utilizza i servizi onion per inviare i file in maniera sicura
 * Crea un servizio onion dove il file può essere scaricato
 * Non c'è necessità di fidarsi di un sistema di terze parti, come Dropbox
 * Si può scaricare da https://onionshare.org

# Connessione

 * OnionShare si connette alla rete Tor
 * Click su "add" e seleziona il file da condividere

# Condivisione

 * Una volta aggiunto il file, click su "start sharing"

# Condivisione

 * Copia il link .onion ed invialo al destinatario
 * Il destinatario installa Tor Browser
 * Al termine del download tu vedrai ciò →

# Grazie

Inserisci i tuoi contatti  
